use strict;
use warnings;
use inc::Module::Install 0.91;
use Module::Install::AuthorRequires;
use Module::Install::AuthorTests;

name 'CatalystX-HelpText';
all_from 'lib/CatalystX/HelpText.pm';

install_script 'bin/search_undocumented_templates.pl';

requires 'Moose';
requires 'namespace::autoclean';
requires 'Try::Tiny';
requires 'Moose::Autobox';
requires 'MooseX::Types';
requires 'MooseX::Types::Path::Class';
requires 'MooseX::Getopt';

build_requires 'Catalyst::Runtime' => '5.80015';
build_requires 'Catalyst::View::TT' => '0.37';
build_requires 'Test::WWW::Mechanize::Catalyst';
build_requires 'Test::More' => '0.88';

author_requires 'Test::Pod::Coverage' => '1.04';
author_requires 'Test::Pod' => '1.14';

author_tests 't/author';

resources repository => 'git://git.shadowcat.co.uk/catagits/CatalystX-HelpText';

if ($Module::Install::AUTHOR) {
    system("pod2text lib/CatalystX/HelpText.pm > README")
        and die $!;
}

WriteAll();
